> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return profile

> Returns records from the profile entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml 26.4/cloud/en/api-reference/openapi.json GET /profile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.4.9790.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /profile:
    get:
      tags:
        - profile
      summary: Return profile
      description: >-
        Returns records from the profile entity that match the specified query
        parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAllprofile
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: profile response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/profile'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    profile:
      type: object
      properties:
        AllowAuthTokenInURL:
          description: >-
            When set to True, enables authentication tokens to be passed as URL
            query parameters instead of requiring header-based authentication.
          type: boolean
        AutoTaskType:
          description: The type of automated maintenance task to run.
          type: string
        AutoTaskInterval:
          description: Defines how frequently (in days) the automated task executes.
          type: string
        CleanupReceiveFolder:
          description: Include files in Receive folders in cleanup operations.
          type: boolean
        CleanupSendFolder:
          description: Include files in Send folders in cleanup operations.
          type: boolean
        CleanupSentFolder:
          description: Include files in Sent folders in cleanup operations.
          type: boolean
        CleanupTransactions:
          description: Include transactions in cleanup operations.
          type: boolean
        corsallowcredentials:
          description: >-
            Allows cross-origin requests to include credentials such as cookies
            or authentication headers.
          type: boolean
        corsallowheaders:
          description: >-
            Comma-separated list of HTTP headers that are permitted in
            cross-origin requests.
          type: string
        corsmaxage:
          description: >-
            Specifies how long (in seconds) browsers can cache Cross-Origin
            Resource Sharing (CORS) preflight request results before requiring a
            new preflight check.
          type: string
        corsallowalldomains:
          description: >-
            Enables all domains to make cross-origin requests to the API without
            restriction (use with caution as this removes CORS security
            protections).
          type: boolean
        enablecors:
          description: >-
            Enables CORS to allow web applications from different domains to
            access the API.
          type: boolean
        MaxFilesPerPort:
          description: >-
            The maximum number of files sent by each thread assigned to the
            connector.
          type: string
        MaxWorkersPerPort:
          description: >-
            The number of worker threads allocated to the connector for parallel
            processing.
          type: string
        NotifyEmail:
          description: >-
            Send an email to the specified email addresses when an error is
            encountered.
          type: string
        NotifyEmailFrom:
          description: The email address used as the sender of notification emails.
          type: string
        NotifyEmailTo:
          description: A comma-separated list of notification email recipients.
          type: string
        NotifyEmailSubject:
          description: The notification email subject.
          type: string
        AllowArcScriptInAlertsSubject:
          description: >-
            Whether to evaluate ArcScript expressions in the notification email
            subject.
          type: boolean
        NotifyWindowsEvent:
          description: >-
            Whether to write error messages to the Windows Application Event
            Log.
          type: boolean
        NotifyStopStart:
          description: >-
            Whether to log when the application starts and stops in the event
            log.
          type: boolean
        ProcessParallel:
          description: >-
            Enables concurrent processing of multiple files instead of
            sequential processing.
          type: boolean
        SMTPServer:
          description: The host name or IP address of your SMTP server.
          type: string
        SMTPUser:
          description: The username to authenticate to your SMTP server.
          type: string
        SMTPPassword:
          description: The password to authenticate to your SMTP server.
          type: string
        SMTPPort:
          description: The port of your SMTP server.
          type: string
        SMTPSSLMode:
          description: The SSL mode of your SMTP server.
          type: string
        SendStatusReport:
          description: >-
            Whether to send a status report to the NotifyEmailTo email
            address(es).
          type: boolean
        SendReportInterval:
          description: The interval at which status report are sent to the email address.
          type: string
        TrustedIp:
          description: >-
            Commas-separated list of IP addresses or ranges that are trusted.
            Access to Arc is allowed from these addresses and ranges.
          type: string
        BlockedIp:
          description: >-
            Commas-separated list of IP addresses or ranges that are blocked.
            Access to Arc is prohibited from these addresses and ranges.
          type: string
        uitimeformat:
          description: The time format display preference.
          type: string
        Workerpool:
          description: >-
            The size of the thread pool available for processing tasks across
            all connectors.
          type: string
        Other:
          description: >-
            The list of properties above is not comprehensive. You can use the
            API to set any profile property not listed above, using the same
            name/value format. All available profile default properties are
            returned in a GET request. Profile-specific settings, such as AS2 or
            SFTP, are prefixed like this: as2:loglevel or sftp:loglevel. You do
            not need to include an Other property when using additional settings
            that are not listed here.
          type: string
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.